<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
function prepage(){
	if(isset($_REQUEST['page']) && $_REQUEST['page'] != '' && is_numeric($_REQUEST['page']) && $_REQUEST['page']>0)
	{
		$page = ereg_replace('([^0-9])', '', $_REQUEST['page']);
	} else {
		$_REQUEST['page'] = 1;
		$page = 1;
	}
	return $page;
}


function aktpage()
{
	if(isset($_REQUEST['page']) && $_REQUEST['page'] != '' && is_numeric($_REQUEST['page']) && $_REQUEST['page']>0)
	{
		$po = ereg_replace('([^0-9])', '', $_REQUEST['page']);
	} else {
		$po = 1;
	}
	return $po;
}

function pagenav($anzahl_seiten, $tpl_on='', $tpl_off) 
{
	$nav = '<table border="0" cellspacing="0" cellpadding="0" class="navigation_container"><tr><td class="navigation_container_pagetext"> ';
	$nav .= $GLOBALS['config_vars']['PageNavi_Page'] . aktpage() . $GLOBALS['config_vars']['PageNavi_From'] . $anzahl_seiten . '</td><td class="navigation_container_pages">';
	$aktuelle_seite = prepage();
	$tpl_on = aktpage();
	$seiten = array (
	$aktuelle_seite-3,
	$aktuelle_seite-2,
	$aktuelle_seite-1,
	$aktuelle_seite,
	$aktuelle_seite+1,
	$aktuelle_seite+2,
	$aktuelle_seite+3
	);
	
	
	
	$seiten = array_unique($seiten);
	if($anzahl_seiten > 1){
		$nav .= str_replace("{t}", $GLOBALS['config_vars']['NavStart'], str_replace("{s}", 1, $tpl_off));
	}
	
	if($aktuelle_seite > 1) {
		$nav .= str_replace("{t}", $GLOBALS['config_vars']['NavBack'], str_replace("{s}", ($aktuelle_seite-1), $tpl_off));
	}
	
	while(list($key,$val) = each($seiten)) {
		if($val >= 1 && $val <= $anzahl_seiten) {
			if($aktuelle_seite == $val) {
				$nav .= str_replace(array("{s}", "{t}"), $val, "<span class=\"page_active\">$tpl_on</span>");
			} else {
				$nav .= str_replace(array("{s}", "{t}"), $val, $tpl_off);
			}
		}
	}
	
	if($aktuelle_seite < $anzahl_seiten) {
		$nav .= str_replace("{t}", $GLOBALS['config_vars']['NavNext'], str_replace("{s}", ($aktuelle_seite+1), $tpl_off));
	}
	
	if($anzahl_seiten > 1){
		$nav .= str_replace("{t}", $GLOBALS['config_vars']['NavEnd'], str_replace("{s}", $anzahl_seiten, $tpl_off));
	}
	$nav .= '</td></tr></table>';
	return $nav;
}


// ARTIKEL-NAV


function artpage($anzahl_seiten,$tpl_on, $tpl_off) 
{
	$nav = '';
	$nav = '<table border="0" cellspacing="0" cellpadding="0" class="navigation_container"><tr><td class="navigation_container_pagetext"> ';
	$nav .= $GLOBALS['config_vars']['PageNavi_Page'] . aktpage() . $GLOBALS['config_vars']['PageNavi_From'] . $anzahl_seiten . '</td><td class="navigation_container_pages">';
	
	$aktuelle_seite = $tpl_on;
	$seiten = array($aktuelle_seite-3,
	$aktuelle_seite-2,
	$aktuelle_seite-1,
	$aktuelle_seite,
	$aktuelle_seite+1,
	$aktuelle_seite+2,
	$aktuelle_seite+3);
	$seiten = array_unique($seiten);
	if($anzahl_seiten > 1){
		$nav .= str_replace("{t}", $GLOBALS['config_vars']['NavStart'], str_replace("{s}", 1, $tpl_off));
	}
	
	if($aktuelle_seite > 1) {
		$nav .= str_replace("{t}", $GLOBALS['config_vars']['NavBack'], str_replace("{s}", ($aktuelle_seite-1), $tpl_off));
	}
	
	while(list($key,$val) = each($seiten)) {
		if($val >= 1 && $val <= $anzahl_seiten) {
			if($aktuelle_seite == $val) {
				$nav .= str_replace(array("{s}", "{t}"), $val, "<span class=\"page_active\">$tpl_on</span> ");
			} else {
				$nav .= str_replace(array("{s}", "{t}"), $val, $tpl_off);
			}
		}
	}
	
	if($aktuelle_seite < $anzahl_seiten) {
		$nav .= str_replace("{t}", $GLOBALS['config_vars']['NavNext'], str_replace("{s}", ($aktuelle_seite+1), $tpl_off));
	}
	
	if($anzahl_seiten > 1){
		$nav .= str_replace("{t}", $GLOBALS['config_vars']['NavEnd'], str_replace("{s}", $anzahl_seiten, $tpl_off));
	}
	$nav .= '</td></tr></table>';
	return $nav;
}
?>